package mhp.oee.po.gen;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class ResourcePlcPOExample {
    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database table resource_plc
     *
     * @mbggenerated
     */
    protected String orderByClause;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database table resource_plc
     *
     * @mbggenerated
     */
    protected boolean distinct;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database table resource_plc
     *
     * @mbggenerated
     */
    protected List<Criteria> oredCriteria;

    private Integer limit;

    private Integer offset;

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_plc
     *
     * @mbggenerated
     */
    public ResourcePlcPOExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_plc
     *
     * @mbggenerated
     */
    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_plc
     *
     * @mbggenerated
     */
    public String getOrderByClause() {
        return orderByClause;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_plc
     *
     * @mbggenerated
     */
    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_plc
     *
     * @mbggenerated
     */
    public boolean isDistinct() {
        return distinct;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_plc
     *
     * @mbggenerated
     */
    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_plc
     *
     * @mbggenerated
     */
    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_plc
     *
     * @mbggenerated
     */
    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_plc
     *
     * @mbggenerated
     */
    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_plc
     *
     * @mbggenerated
     */
    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_plc
     *
     * @mbggenerated
     */
    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    public void setLimit(Integer limit) {
        this.limit = limit;
    }

    public Integer getLimit() {
        return limit;
    }

    public void setOffset(Integer offset) {
        this.offset = offset;
    }

    public Integer getOffset() {
        return offset;
    }

    /**
     * This class was generated by MyBatis Generator.
     * This class corresponds to the database table resource_plc
     *
     * @mbggenerated
     */
    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andHandleIsNull() {
            addCriterion("HANDLE is null");
            return (Criteria) this;
        }

        public Criteria andHandleIsNotNull() {
            addCriterion("HANDLE is not null");
            return (Criteria) this;
        }

        public Criteria andHandleEqualTo(String value) {
            addCriterion("HANDLE =", value, "handle");
            return (Criteria) this;
        }

        public Criteria andHandleNotEqualTo(String value) {
            addCriterion("HANDLE <>", value, "handle");
            return (Criteria) this;
        }

        public Criteria andHandleGreaterThan(String value) {
            addCriterion("HANDLE >", value, "handle");
            return (Criteria) this;
        }

        public Criteria andHandleGreaterThanOrEqualTo(String value) {
            addCriterion("HANDLE >=", value, "handle");
            return (Criteria) this;
        }

        public Criteria andHandleLessThan(String value) {
            addCriterion("HANDLE <", value, "handle");
            return (Criteria) this;
        }

        public Criteria andHandleLessThanOrEqualTo(String value) {
            addCriterion("HANDLE <=", value, "handle");
            return (Criteria) this;
        }

        public Criteria andHandleLike(String value) {
            addCriterion("HANDLE like", value, "handle");
            return (Criteria) this;
        }

        public Criteria andHandleNotLike(String value) {
            addCriterion("HANDLE not like", value, "handle");
            return (Criteria) this;
        }

        public Criteria andHandleIn(List<String> values) {
            addCriterion("HANDLE in", values, "handle");
            return (Criteria) this;
        }

        public Criteria andHandleNotIn(List<String> values) {
            addCriterion("HANDLE not in", values, "handle");
            return (Criteria) this;
        }

        public Criteria andHandleBetween(String value1, String value2) {
            addCriterion("HANDLE between", value1, value2, "handle");
            return (Criteria) this;
        }

        public Criteria andHandleNotBetween(String value1, String value2) {
            addCriterion("HANDLE not between", value1, value2, "handle");
            return (Criteria) this;
        }

        public Criteria andSiteIsNull() {
            addCriterion("SITE is null");
            return (Criteria) this;
        }

        public Criteria andSiteIsNotNull() {
            addCriterion("SITE is not null");
            return (Criteria) this;
        }

        public Criteria andSiteEqualTo(String value) {
            addCriterion("SITE =", value, "site");
            return (Criteria) this;
        }

        public Criteria andSiteNotEqualTo(String value) {
            addCriterion("SITE <>", value, "site");
            return (Criteria) this;
        }

        public Criteria andSiteGreaterThan(String value) {
            addCriterion("SITE >", value, "site");
            return (Criteria) this;
        }

        public Criteria andSiteGreaterThanOrEqualTo(String value) {
            addCriterion("SITE >=", value, "site");
            return (Criteria) this;
        }

        public Criteria andSiteLessThan(String value) {
            addCriterion("SITE <", value, "site");
            return (Criteria) this;
        }

        public Criteria andSiteLessThanOrEqualTo(String value) {
            addCriterion("SITE <=", value, "site");
            return (Criteria) this;
        }

        public Criteria andSiteLike(String value) {
            addCriterion("SITE like", value, "site");
            return (Criteria) this;
        }

        public Criteria andSiteNotLike(String value) {
            addCriterion("SITE not like", value, "site");
            return (Criteria) this;
        }

        public Criteria andSiteIn(List<String> values) {
            addCriterion("SITE in", values, "site");
            return (Criteria) this;
        }

        public Criteria andSiteNotIn(List<String> values) {
            addCriterion("SITE not in", values, "site");
            return (Criteria) this;
        }

        public Criteria andSiteBetween(String value1, String value2) {
            addCriterion("SITE between", value1, value2, "site");
            return (Criteria) this;
        }

        public Criteria andSiteNotBetween(String value1, String value2) {
            addCriterion("SITE not between", value1, value2, "site");
            return (Criteria) this;
        }

        public Criteria andResourceBoIsNull() {
            addCriterion("RESOURCE_BO is null");
            return (Criteria) this;
        }

        public Criteria andResourceBoIsNotNull() {
            addCriterion("RESOURCE_BO is not null");
            return (Criteria) this;
        }

        public Criteria andResourceBoEqualTo(String value) {
            addCriterion("RESOURCE_BO =", value, "resourceBo");
            return (Criteria) this;
        }

        public Criteria andResourceBoNotEqualTo(String value) {
            addCriterion("RESOURCE_BO <>", value, "resourceBo");
            return (Criteria) this;
        }

        public Criteria andResourceBoGreaterThan(String value) {
            addCriterion("RESOURCE_BO >", value, "resourceBo");
            return (Criteria) this;
        }

        public Criteria andResourceBoGreaterThanOrEqualTo(String value) {
            addCriterion("RESOURCE_BO >=", value, "resourceBo");
            return (Criteria) this;
        }

        public Criteria andResourceBoLessThan(String value) {
            addCriterion("RESOURCE_BO <", value, "resourceBo");
            return (Criteria) this;
        }

        public Criteria andResourceBoLessThanOrEqualTo(String value) {
            addCriterion("RESOURCE_BO <=", value, "resourceBo");
            return (Criteria) this;
        }

        public Criteria andResourceBoLike(String value) {
            addCriterion("RESOURCE_BO like", value, "resourceBo");
            return (Criteria) this;
        }

        public Criteria andResourceBoNotLike(String value) {
            addCriterion("RESOURCE_BO not like", value, "resourceBo");
            return (Criteria) this;
        }

        public Criteria andResourceBoIn(List<String> values) {
            addCriterion("RESOURCE_BO in", values, "resourceBo");
            return (Criteria) this;
        }

        public Criteria andResourceBoNotIn(List<String> values) {
            addCriterion("RESOURCE_BO not in", values, "resourceBo");
            return (Criteria) this;
        }

        public Criteria andResourceBoBetween(String value1, String value2) {
            addCriterion("RESOURCE_BO between", value1, value2, "resourceBo");
            return (Criteria) this;
        }

        public Criteria andResourceBoNotBetween(String value1, String value2) {
            addCriterion("RESOURCE_BO not between", value1, value2, "resourceBo");
            return (Criteria) this;
        }

        public Criteria andPlcAddressIsNull() {
            addCriterion("PLC_ADDRESS is null");
            return (Criteria) this;
        }

        public Criteria andPlcAddressIsNotNull() {
            addCriterion("PLC_ADDRESS is not null");
            return (Criteria) this;
        }

        public Criteria andPlcAddressEqualTo(String value) {
            addCriterion("PLC_ADDRESS =", value, "plcAddress");
            return (Criteria) this;
        }

        public Criteria andPlcAddressNotEqualTo(String value) {
            addCriterion("PLC_ADDRESS <>", value, "plcAddress");
            return (Criteria) this;
        }

        public Criteria andPlcAddressGreaterThan(String value) {
            addCriterion("PLC_ADDRESS >", value, "plcAddress");
            return (Criteria) this;
        }

        public Criteria andPlcAddressGreaterThanOrEqualTo(String value) {
            addCriterion("PLC_ADDRESS >=", value, "plcAddress");
            return (Criteria) this;
        }

        public Criteria andPlcAddressLessThan(String value) {
            addCriterion("PLC_ADDRESS <", value, "plcAddress");
            return (Criteria) this;
        }

        public Criteria andPlcAddressLessThanOrEqualTo(String value) {
            addCriterion("PLC_ADDRESS <=", value, "plcAddress");
            return (Criteria) this;
        }

        public Criteria andPlcAddressLike(String value) {
            addCriterion("PLC_ADDRESS like", value, "plcAddress");
            return (Criteria) this;
        }

        public Criteria andPlcAddressNotLike(String value) {
            addCriterion("PLC_ADDRESS not like", value, "plcAddress");
            return (Criteria) this;
        }

        public Criteria andPlcAddressIn(List<String> values) {
            addCriterion("PLC_ADDRESS in", values, "plcAddress");
            return (Criteria) this;
        }

        public Criteria andPlcAddressNotIn(List<String> values) {
            addCriterion("PLC_ADDRESS not in", values, "plcAddress");
            return (Criteria) this;
        }

        public Criteria andPlcAddressBetween(String value1, String value2) {
            addCriterion("PLC_ADDRESS between", value1, value2, "plcAddress");
            return (Criteria) this;
        }

        public Criteria andPlcAddressNotBetween(String value1, String value2) {
            addCriterion("PLC_ADDRESS not between", value1, value2, "plcAddress");
            return (Criteria) this;
        }

        public Criteria andPlcValueIsNull() {
            addCriterion("PLC_VALUE is null");
            return (Criteria) this;
        }

        public Criteria andPlcValueIsNotNull() {
            addCriterion("PLC_VALUE is not null");
            return (Criteria) this;
        }

        public Criteria andPlcValueEqualTo(String value) {
            addCriterion("PLC_VALUE =", value, "plcValue");
            return (Criteria) this;
        }

        public Criteria andPlcValueNotEqualTo(String value) {
            addCriterion("PLC_VALUE <>", value, "plcValue");
            return (Criteria) this;
        }

        public Criteria andPlcValueGreaterThan(String value) {
            addCriterion("PLC_VALUE >", value, "plcValue");
            return (Criteria) this;
        }

        public Criteria andPlcValueGreaterThanOrEqualTo(String value) {
            addCriterion("PLC_VALUE >=", value, "plcValue");
            return (Criteria) this;
        }

        public Criteria andPlcValueLessThan(String value) {
            addCriterion("PLC_VALUE <", value, "plcValue");
            return (Criteria) this;
        }

        public Criteria andPlcValueLessThanOrEqualTo(String value) {
            addCriterion("PLC_VALUE <=", value, "plcValue");
            return (Criteria) this;
        }

        public Criteria andPlcValueLike(String value) {
            addCriterion("PLC_VALUE like", value, "plcValue");
            return (Criteria) this;
        }

        public Criteria andPlcValueNotLike(String value) {
            addCriterion("PLC_VALUE not like", value, "plcValue");
            return (Criteria) this;
        }

        public Criteria andPlcValueIn(List<String> values) {
            addCriterion("PLC_VALUE in", values, "plcValue");
            return (Criteria) this;
        }

        public Criteria andPlcValueNotIn(List<String> values) {
            addCriterion("PLC_VALUE not in", values, "plcValue");
            return (Criteria) this;
        }

        public Criteria andPlcValueBetween(String value1, String value2) {
            addCriterion("PLC_VALUE between", value1, value2, "plcValue");
            return (Criteria) this;
        }

        public Criteria andPlcValueNotBetween(String value1, String value2) {
            addCriterion("PLC_VALUE not between", value1, value2, "plcValue");
            return (Criteria) this;
        }

        public Criteria andCategoryIsNull() {
            addCriterion("CATEGORY is null");
            return (Criteria) this;
        }

        public Criteria andCategoryIsNotNull() {
            addCriterion("CATEGORY is not null");
            return (Criteria) this;
        }

        public Criteria andCategoryEqualTo(String value) {
            addCriterion("CATEGORY =", value, "category");
            return (Criteria) this;
        }

        public Criteria andCategoryNotEqualTo(String value) {
            addCriterion("CATEGORY <>", value, "category");
            return (Criteria) this;
        }

        public Criteria andCategoryGreaterThan(String value) {
            addCriterion("CATEGORY >", value, "category");
            return (Criteria) this;
        }

        public Criteria andCategoryGreaterThanOrEqualTo(String value) {
            addCriterion("CATEGORY >=", value, "category");
            return (Criteria) this;
        }

        public Criteria andCategoryLessThan(String value) {
            addCriterion("CATEGORY <", value, "category");
            return (Criteria) this;
        }

        public Criteria andCategoryLessThanOrEqualTo(String value) {
            addCriterion("CATEGORY <=", value, "category");
            return (Criteria) this;
        }

        public Criteria andCategoryLike(String value) {
            addCriterion("CATEGORY like", value, "category");
            return (Criteria) this;
        }

        public Criteria andCategoryNotLike(String value) {
            addCriterion("CATEGORY not like", value, "category");
            return (Criteria) this;
        }

        public Criteria andCategoryIn(List<String> values) {
            addCriterion("CATEGORY in", values, "category");
            return (Criteria) this;
        }

        public Criteria andCategoryNotIn(List<String> values) {
            addCriterion("CATEGORY not in", values, "category");
            return (Criteria) this;
        }

        public Criteria andCategoryBetween(String value1, String value2) {
            addCriterion("CATEGORY between", value1, value2, "category");
            return (Criteria) this;
        }

        public Criteria andCategoryNotBetween(String value1, String value2) {
            addCriterion("CATEGORY not between", value1, value2, "category");
            return (Criteria) this;
        }

        public Criteria andPlcObjectIsNull() {
            addCriterion("PLC_OBJECT is null");
            return (Criteria) this;
        }

        public Criteria andPlcObjectIsNotNull() {
            addCriterion("PLC_OBJECT is not null");
            return (Criteria) this;
        }

        public Criteria andPlcObjectEqualTo(String value) {
            addCriterion("PLC_OBJECT =", value, "plcObject");
            return (Criteria) this;
        }

        public Criteria andPlcObjectNotEqualTo(String value) {
            addCriterion("PLC_OBJECT <>", value, "plcObject");
            return (Criteria) this;
        }

        public Criteria andPlcObjectGreaterThan(String value) {
            addCriterion("PLC_OBJECT >", value, "plcObject");
            return (Criteria) this;
        }

        public Criteria andPlcObjectGreaterThanOrEqualTo(String value) {
            addCriterion("PLC_OBJECT >=", value, "plcObject");
            return (Criteria) this;
        }

        public Criteria andPlcObjectLessThan(String value) {
            addCriterion("PLC_OBJECT <", value, "plcObject");
            return (Criteria) this;
        }

        public Criteria andPlcObjectLessThanOrEqualTo(String value) {
            addCriterion("PLC_OBJECT <=", value, "plcObject");
            return (Criteria) this;
        }

        public Criteria andPlcObjectLike(String value) {
            addCriterion("PLC_OBJECT like", value, "plcObject");
            return (Criteria) this;
        }

        public Criteria andPlcObjectNotLike(String value) {
            addCriterion("PLC_OBJECT not like", value, "plcObject");
            return (Criteria) this;
        }

        public Criteria andPlcObjectIn(List<String> values) {
            addCriterion("PLC_OBJECT in", values, "plcObject");
            return (Criteria) this;
        }

        public Criteria andPlcObjectNotIn(List<String> values) {
            addCriterion("PLC_OBJECT not in", values, "plcObject");
            return (Criteria) this;
        }

        public Criteria andPlcObjectBetween(String value1, String value2) {
            addCriterion("PLC_OBJECT between", value1, value2, "plcObject");
            return (Criteria) this;
        }

        public Criteria andPlcObjectNotBetween(String value1, String value2) {
            addCriterion("PLC_OBJECT not between", value1, value2, "plcObject");
            return (Criteria) this;
        }

        public Criteria andDescriptionIsNull() {
            addCriterion("DESCRIPTION is null");
            return (Criteria) this;
        }

        public Criteria andDescriptionIsNotNull() {
            addCriterion("DESCRIPTION is not null");
            return (Criteria) this;
        }

        public Criteria andDescriptionEqualTo(String value) {
            addCriterion("DESCRIPTION =", value, "description");
            return (Criteria) this;
        }

        public Criteria andDescriptionNotEqualTo(String value) {
            addCriterion("DESCRIPTION <>", value, "description");
            return (Criteria) this;
        }

        public Criteria andDescriptionGreaterThan(String value) {
            addCriterion("DESCRIPTION >", value, "description");
            return (Criteria) this;
        }

        public Criteria andDescriptionGreaterThanOrEqualTo(String value) {
            addCriterion("DESCRIPTION >=", value, "description");
            return (Criteria) this;
        }

        public Criteria andDescriptionLessThan(String value) {
            addCriterion("DESCRIPTION <", value, "description");
            return (Criteria) this;
        }

        public Criteria andDescriptionLessThanOrEqualTo(String value) {
            addCriterion("DESCRIPTION <=", value, "description");
            return (Criteria) this;
        }

        public Criteria andDescriptionLike(String value) {
            addCriterion("DESCRIPTION like", value, "description");
            return (Criteria) this;
        }

        public Criteria andDescriptionNotLike(String value) {
            addCriterion("DESCRIPTION not like", value, "description");
            return (Criteria) this;
        }

        public Criteria andDescriptionIn(List<String> values) {
            addCriterion("DESCRIPTION in", values, "description");
            return (Criteria) this;
        }

        public Criteria andDescriptionNotIn(List<String> values) {
            addCriterion("DESCRIPTION not in", values, "description");
            return (Criteria) this;
        }

        public Criteria andDescriptionBetween(String value1, String value2) {
            addCriterion("DESCRIPTION between", value1, value2, "description");
            return (Criteria) this;
        }

        public Criteria andDescriptionNotBetween(String value1, String value2) {
            addCriterion("DESCRIPTION not between", value1, value2, "description");
            return (Criteria) this;
        }

        public Criteria andLogPathIsNull() {
            addCriterion("LOG_PATH is null");
            return (Criteria) this;
        }

        public Criteria andLogPathIsNotNull() {
            addCriterion("LOG_PATH is not null");
            return (Criteria) this;
        }

        public Criteria andLogPathEqualTo(String value) {
            addCriterion("LOG_PATH =", value, "logPath");
            return (Criteria) this;
        }

        public Criteria andLogPathNotEqualTo(String value) {
            addCriterion("LOG_PATH <>", value, "logPath");
            return (Criteria) this;
        }

        public Criteria andLogPathGreaterThan(String value) {
            addCriterion("LOG_PATH >", value, "logPath");
            return (Criteria) this;
        }

        public Criteria andLogPathGreaterThanOrEqualTo(String value) {
            addCriterion("LOG_PATH >=", value, "logPath");
            return (Criteria) this;
        }

        public Criteria andLogPathLessThan(String value) {
            addCriterion("LOG_PATH <", value, "logPath");
            return (Criteria) this;
        }

        public Criteria andLogPathLessThanOrEqualTo(String value) {
            addCriterion("LOG_PATH <=", value, "logPath");
            return (Criteria) this;
        }

        public Criteria andLogPathLike(String value) {
            addCriterion("LOG_PATH like", value, "logPath");
            return (Criteria) this;
        }

        public Criteria andLogPathNotLike(String value) {
            addCriterion("LOG_PATH not like", value, "logPath");
            return (Criteria) this;
        }

        public Criteria andLogPathIn(List<String> values) {
            addCriterion("LOG_PATH in", values, "logPath");
            return (Criteria) this;
        }

        public Criteria andLogPathNotIn(List<String> values) {
            addCriterion("LOG_PATH not in", values, "logPath");
            return (Criteria) this;
        }

        public Criteria andLogPathBetween(String value1, String value2) {
            addCriterion("LOG_PATH between", value1, value2, "logPath");
            return (Criteria) this;
        }

        public Criteria andLogPathNotBetween(String value1, String value2) {
            addCriterion("LOG_PATH not between", value1, value2, "logPath");
            return (Criteria) this;
        }

        public Criteria andCreatedDateTimeIsNull() {
            addCriterion("CREATED_DATE_TIME is null");
            return (Criteria) this;
        }

        public Criteria andCreatedDateTimeIsNotNull() {
            addCriterion("CREATED_DATE_TIME is not null");
            return (Criteria) this;
        }

        public Criteria andCreatedDateTimeEqualTo(Date value) {
            addCriterion("CREATED_DATE_TIME =", value, "createdDateTime");
            return (Criteria) this;
        }

        public Criteria andCreatedDateTimeNotEqualTo(Date value) {
            addCriterion("CREATED_DATE_TIME <>", value, "createdDateTime");
            return (Criteria) this;
        }

        public Criteria andCreatedDateTimeGreaterThan(Date value) {
            addCriterion("CREATED_DATE_TIME >", value, "createdDateTime");
            return (Criteria) this;
        }

        public Criteria andCreatedDateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("CREATED_DATE_TIME >=", value, "createdDateTime");
            return (Criteria) this;
        }

        public Criteria andCreatedDateTimeLessThan(Date value) {
            addCriterion("CREATED_DATE_TIME <", value, "createdDateTime");
            return (Criteria) this;
        }

        public Criteria andCreatedDateTimeLessThanOrEqualTo(Date value) {
            addCriterion("CREATED_DATE_TIME <=", value, "createdDateTime");
            return (Criteria) this;
        }

        public Criteria andCreatedDateTimeIn(List<Date> values) {
            addCriterion("CREATED_DATE_TIME in", values, "createdDateTime");
            return (Criteria) this;
        }

        public Criteria andCreatedDateTimeNotIn(List<Date> values) {
            addCriterion("CREATED_DATE_TIME not in", values, "createdDateTime");
            return (Criteria) this;
        }

        public Criteria andCreatedDateTimeBetween(Date value1, Date value2) {
            addCriterion("CREATED_DATE_TIME between", value1, value2, "createdDateTime");
            return (Criteria) this;
        }

        public Criteria andCreatedDateTimeNotBetween(Date value1, Date value2) {
            addCriterion("CREATED_DATE_TIME not between", value1, value2, "createdDateTime");
            return (Criteria) this;
        }

        public Criteria andModifiedDateTimeIsNull() {
            addCriterion("MODIFIED_DATE_TIME is null");
            return (Criteria) this;
        }

        public Criteria andModifiedDateTimeIsNotNull() {
            addCriterion("MODIFIED_DATE_TIME is not null");
            return (Criteria) this;
        }

        public Criteria andModifiedDateTimeEqualTo(Date value) {
            addCriterion("MODIFIED_DATE_TIME =", value, "modifiedDateTime");
            return (Criteria) this;
        }

        public Criteria andModifiedDateTimeNotEqualTo(Date value) {
            addCriterion("MODIFIED_DATE_TIME <>", value, "modifiedDateTime");
            return (Criteria) this;
        }

        public Criteria andModifiedDateTimeGreaterThan(Date value) {
            addCriterion("MODIFIED_DATE_TIME >", value, "modifiedDateTime");
            return (Criteria) this;
        }

        public Criteria andModifiedDateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("MODIFIED_DATE_TIME >=", value, "modifiedDateTime");
            return (Criteria) this;
        }

        public Criteria andModifiedDateTimeLessThan(Date value) {
            addCriterion("MODIFIED_DATE_TIME <", value, "modifiedDateTime");
            return (Criteria) this;
        }

        public Criteria andModifiedDateTimeLessThanOrEqualTo(Date value) {
            addCriterion("MODIFIED_DATE_TIME <=", value, "modifiedDateTime");
            return (Criteria) this;
        }

        public Criteria andModifiedDateTimeIn(List<Date> values) {
            addCriterion("MODIFIED_DATE_TIME in", values, "modifiedDateTime");
            return (Criteria) this;
        }

        public Criteria andModifiedDateTimeNotIn(List<Date> values) {
            addCriterion("MODIFIED_DATE_TIME not in", values, "modifiedDateTime");
            return (Criteria) this;
        }

        public Criteria andModifiedDateTimeBetween(Date value1, Date value2) {
            addCriterion("MODIFIED_DATE_TIME between", value1, value2, "modifiedDateTime");
            return (Criteria) this;
        }

        public Criteria andModifiedDateTimeNotBetween(Date value1, Date value2) {
            addCriterion("MODIFIED_DATE_TIME not between", value1, value2, "modifiedDateTime");
            return (Criteria) this;
        }

        public Criteria andModifiedUserIsNull() {
            addCriterion("MODIFIED_USER is null");
            return (Criteria) this;
        }

        public Criteria andModifiedUserIsNotNull() {
            addCriterion("MODIFIED_USER is not null");
            return (Criteria) this;
        }

        public Criteria andModifiedUserEqualTo(String value) {
            addCriterion("MODIFIED_USER =", value, "modifiedUser");
            return (Criteria) this;
        }

        public Criteria andModifiedUserNotEqualTo(String value) {
            addCriterion("MODIFIED_USER <>", value, "modifiedUser");
            return (Criteria) this;
        }

        public Criteria andModifiedUserGreaterThan(String value) {
            addCriterion("MODIFIED_USER >", value, "modifiedUser");
            return (Criteria) this;
        }

        public Criteria andModifiedUserGreaterThanOrEqualTo(String value) {
            addCriterion("MODIFIED_USER >=", value, "modifiedUser");
            return (Criteria) this;
        }

        public Criteria andModifiedUserLessThan(String value) {
            addCriterion("MODIFIED_USER <", value, "modifiedUser");
            return (Criteria) this;
        }

        public Criteria andModifiedUserLessThanOrEqualTo(String value) {
            addCriterion("MODIFIED_USER <=", value, "modifiedUser");
            return (Criteria) this;
        }

        public Criteria andModifiedUserLike(String value) {
            addCriterion("MODIFIED_USER like", value, "modifiedUser");
            return (Criteria) this;
        }

        public Criteria andModifiedUserNotLike(String value) {
            addCriterion("MODIFIED_USER not like", value, "modifiedUser");
            return (Criteria) this;
        }

        public Criteria andModifiedUserIn(List<String> values) {
            addCriterion("MODIFIED_USER in", values, "modifiedUser");
            return (Criteria) this;
        }

        public Criteria andModifiedUserNotIn(List<String> values) {
            addCriterion("MODIFIED_USER not in", values, "modifiedUser");
            return (Criteria) this;
        }

        public Criteria andModifiedUserBetween(String value1, String value2) {
            addCriterion("MODIFIED_USER between", value1, value2, "modifiedUser");
            return (Criteria) this;
        }

        public Criteria andModifiedUserNotBetween(String value1, String value2) {
            addCriterion("MODIFIED_USER not between", value1, value2, "modifiedUser");
            return (Criteria) this;
        }
    }

    /**
     * This class was generated by MyBatis Generator.
     * This class corresponds to the database table resource_plc
     *
     * @mbggenerated do_not_delete_during_merge
     */
    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    /**
     * This class was generated by MyBatis Generator.
     * This class corresponds to the database table resource_plc
     *
     * @mbggenerated
     */
    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}